<h1>Grafische Oberfläche:</h1>

Die grafische Oberfläche wurde in Python geschrieben. Die Pfade von den OpenVibe Programmen sind in einer Shared Library hinterlegt (dll.so, bzw. ddl.cpp). Alle Python Dateien wurden in der Datei "gui" in eine ausführbare Datei zusammengefasst. Die Oberfläche kann durch ausführen dieser gestartet werden. Hierfür werden die Dateien "gui", "dll.so" und "icon.png" benötigt. Diese in den Ordner über meta kopieren.

Falls zusätzlich eine Desktop Applikation erstellt worden ist, wird noch die "BCI.desktop" und die "start.sh" Datei benötigt. Mittels der "BCI.desktop" Datei kann die Applikation installiert werden. Anschließend wird mit klick auf das Icon die "start.sh" Datei ausgeführt. Diese startet die "gui" und schreibt die logs in eine Textdatei.

<h2>Nutzungsanleitung</h2>

* Installation von xdotool und python-tkinter, falls noch nicht installiert (siehe script.sh)

* Einfügen der taktilen und visuellen OpenVibe Programme

* Anpassen der Defaultpfade in der dll.cpp Datei (Default-Ordnerstruktur ist im Ordnerstruktur.PNG hinterlegt)
  -> erstellen einer shared library mit g++ dll.cpp --shared -fPIC -o dll.so

* Fuer den Ablauf werden dann nur die Datei gui, dll.so und das icon (icon.png) benoetigt. Alle Dateien bitte im selben Ordner verschieben (Default im gleichen Ordner wie der Ordner meta). 

* Das Programm kann nun mit den Kommandozeilenaufruf ./gui gestartet werden. (Hier darauf achten das die notwendigen Rechte vergeben wurden)

<h2>Zusätzlich für Desktop Applikation </h2>
Fuer den Aufruf ueber ein Desktop Icon werden die Dateien BCI.desktop und start.sh benoetigt:

*  Ggf. die Pfade zur start.sh datei und zum Icon  in der "BCI.desktop" - Datei angepassen

* Pfade in der start.sh Datei anpassen

* BCI.desktop in den home folder legen und installiert werden 
  (sudo desktop-file-install BCI.desktop)
  
* start.sh wird mit dem Icon aufgerufen

<h2>Bei Änderungen der Python Dateien </h2>

Wurde die Python Dateien verändert muss die "gui" Datei neu erstellt werden. Dies kann im Code Ordner mittels pyinstaller –onefile gui.py durchgeführt werden.


